Skip to main content
PUT
Update client domain pattern

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

Identifier of the client domain pattern to update.

Body

application/json

Body of a PUT /v1/client-domain-patterns/{id} request.

client_domain_id
object | null
component_ids
string[]
component_references
object[]
pattern

Choose between static or dynamic pattern

test

Choose between static or dynamic test

type
enum<string>
Available options:
DOMAIN,
GLOB,
SUB_DOMAIN

Response

Client domain pattern source definition with its build-time pattern expression, domain type, and component references.

Client domain pattern source definition with build-time expressions and component references.

client_domain_id
string
required

Optional program domain identifier associated with this pattern.

component_ids
string[]
required
component_references
object[]
required
id
string
required
read-only

Unique identifier for the client domain pattern.

pattern
required

Build-time expression that resolves to the domain pattern used for matching.

test
required

Build-time expression that marks whether the pattern is used for test traffic only.

type
enum<string>
required

Pattern matching type that controls how the pattern is interpreted.

Available options:
DOMAIN,
GLOB,
SUB_DOMAIN